/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename slots use Qt Designer which will
** update this file, preserving your code. Create an init() slot in place of
** a constructor, and a destroy() slot in place of a destructor.
*****************************************************************************/

#include <kapplication.h>
#include <kmessagebox.h>

void KCardChooser::slotUnlisted()
{
   KMessageBox::information(this,
             i18n("Sorry, your card may not be supported in KDE natively."
                  "\nTry to find a KDE driver for your card online."),
             i18n("KDE Smartcard Chooser"));
   _cardList->setEnabled(false);
}

void KCardChooser::slotQuit()
{
    kapp->quit();
}